Aide Measurement & Automation Explorer

Juillet 2021, 370694W-0114

Utilisez Measurement & Automation Explorer (MAX) pour réaliser les tâches suivantes :

  • Configurer votre matériel et vos logiciels NI
  • Faire une copie de sauvegarde ou dupliquer les données de configuration
  • Créer et modifier des voies, des tâches, des interfaces, des échelles et des instruments virtuels
  • Exécuter des diagnostics système
  • Afficher les périphériques et instruments connectés à votre système
  • Mettre à jour vos logiciels NI

Pour obtenir plus d'informations, reportez-vous aux rubriques suivantes :

Informations juridiques

Services NI

© 2004–2021 National Instruments Corporation. Tous droits réservés.

Reportez-vous au répertoire <National Instruments\_Legal Information pour en savoir plus sur le copyright, les brevets, les marques commerciales, les garanties, les avertissements concernant les produits et la conformité en matière d'exportation de NI.


Présentation générale de MAX

Measurement & Automation Explorer (MAX) fournit l'accès à vos périphériques et systèmes NI.

Grâce à MAX, vous pouvez :

  • Configurer votre matériel et vos logiciels NI
  • Créer et modifier des voies, des tâches, des interfaces, des échelles et des instruments virtuels
  • Exécuter des diagnostics système
  • Afficher les périphériques et instruments connectés à votre système
  • Mettre à jour vos logiciels NI

Outre les outils standard, MAX est capable de mettre à votre disposition des outils spécifiques permettant de configurer, de diagnostiquer ou de tester votre système, suivant les produits NI que vous avez installés. Lorsque vous naviguez dans MAX, le contenu du menu d'application et de la barre d'outils évolue pour refléter ces nouveaux outils.

Les informations générales sur chaque élément de menu sont les suivantes. Pour obtenir de l'aide sur un périphérique spécifique, reportez-vous à l'aide ayant trait à ce périphérique dans le menu Aide.

  • Menu Fichier
  • Menu Édition
  • Menu Affichage
  • Menu Outils
  • Menu Aide
  • Astuces diverses


Menu Fichier de MAX

Le menu Fichier fournit les options suivantes :

Nouveau»Fenêtre — Ouvre une nouvelle fenêtre Measurement & Automation Explorer (MAX).

Tout enregistrer — Enregistre toutes les modifications en cours effectuées dans MAX.

Créer un rapport — Lance l'Assistant de rapport MAX. Utilisez cet assistant pour créer un rapport imprimable se rapportant à un système local ou déporté, notamment à sa configuration système.

Importer — Lance l'Assistant d'importation de configuration. Utilisez cet assistant pour importer des données de configuration vers un fichier.

Exporter — Lance l'Assistant d'exportation de configuration. Utilisez cet assistant pour exporter des données de configuration vers un fichier.

Quitter — Ferme MAX.


Menu Édition de MAX

Le menu Édition fournit les options suivantes :

Annuler — Annule la dernière action. Activé uniquement s'il est supporté par l'élément qui est sélectionné dans l'arborescence de configuration.

Rétablir — Répète la dernière action d'annulation. Activé uniquement s'il est supporté par l'élément qui est sélectionné dans l'arborescence de configuration.


Menu Affichage de MAX

Le menu Affichage fournit les options suivantes :

Barre d'outils — Définit les options d'affichage de la barre d'outils, comme suit :

  • Étiquettes texte — Affiche les étiquettes texte de la barre d'outils au-dessous des icônes de la barre d'outils.
  • Texte sur la droite — Affiche les étiquettes texte de la barre d'outils à droite des icônes de la barre d'outils.
  • Pas d'étiquettes texte — Affiche uniquement les icônes de la barre d'outils.

Barre d'état — Affiche ou masque la barre d'état au bas de la fenêtre MAX.

Configuration — Affiche ou masque l'arborescence de configuration MAX.

Volet d'aide — Affiche ou masque l'aide intégrée à la liste de tâches. Vous pouvez aussi cliquer sur les boutons Afficher l'aide ou Masquer l'aide pour effectuer la même opération.

Actualiser — Actualise l'arborescence de configuration MAX. Vous pouvez aussi appuyer sur <F5> pour rafraîchir l'arborescence de configuration.


Menu Outils de MAX

Le menu Outils fournit les options standard suivantes :

Navigateur réseau NI — Lance le Navigateur réseau NI qui vous permet de détecter et de configurer des périphériques réseau NI en utilisant un navigateur Web.

Assistant d'enregistrement NI — Vous aide à découvrir et à enregistrer vos produits NI afin que vous puissiez utiliser plus facilement le support technique et garantir que vous recevrez les mises à jour importantes. Les informations que vous soumettez seront traitées conformément à la Politique de confidentialité de NI, que vous pouvez consulter à ni.com/legal.

Real-Time Hypervisor Manager — Configure et gère un hyperviseur temps réel. Le Real-Time Hypervisor Manager inclut une interface permettant de configurer les paramètres requis de l'hyperviseur, comme les lignes d'interruption et les attributions de tâches au matériel par le système d'exploitation. Pour obtenir des informations complémentaires sur l'hyperviseur temps réel, reportez -vous à l'aide intitulée Real-Time Hypervisor Help (Démarrer»Tous les programmes»National Instruments»Real-Time Hypervisor»Real-Time Hypervisor Help).

Remarque Remarque L'élément de menu Real-Time Hypervisor Manager n'apparaît que si cette fonctionnalité est installée.

Clé USB d'utilitaires pour ordinateur de bureau — Reformate une clé USB avec un utilitaire USB de démarrage LabVIEW Real-Time sur un ordinateur de bureau démarrable sur clé USB.

Réinitialiser les données de configuration — Réinitialise toutes les données de configuration NI du système.

Attention Attention Vous devrez redémarrer votre système pour pouvoir utiliser les produits NI. Si vous ne le redémarrez pas après avoir sélectionné l'opération Réinitialiser les données de configuration, vos produits NI risquent d'être endommagés.

Outre les outils standard, MAX est capable de mettre à votre disposition des outils spécifiques permettant de configurer, de diagnostiquer ou de tester votre système, suivant les produits NI que vous avez installés. Lorsque vous naviguez dans MAX, le contenu du menu d'application évolue pour refléter ces nouveaux outils.


Menu Aide de MAX

Le menu Aide fournit les options suivantes :

Aide MAX — Ouvre le fichier d'Aide MAX principal. Vous pouvez aussi appuyer sur <F1> pour accéder au fichier d'aide.

Rubriques de l'aide — Permet d'accéder aux rubriques d'aide MAX qui sont installées. Les rubriques d'aide varient en fonction des produits NI qui sont installés.

NI sur le Web — Lien vers des ressources Internet sur ni.com, comme les pages de support technique et un moteur de recherche du site Web.

Support technique — Fournit des informations et des liens vers les ressources de support technique MAX.

Informations système — Fournit un instantané de votre système, notamment des informations sur la version du système d'exploitation, des informations sur le processeur, la capacité RAM et les logiciels NI installés. Vous pouvez cliquer sur le bouton Tout copier pour copier les informations dans votre presse-papiers afin de pouvoir ensuite les coller dans un document.

Rechercher des mises à jour — Lance le Service de mise à jour NI qui vous aide à rechercher de nouvelles versions ou mises à jour de produits. Utilisez l'Assistant de mise à jour pour mettre à jour rapidement et aisément votre système de mesure.

Brevets — Affiche des informations sur les brevets des produits NI.

À propos — Ouvre la boîte de message Measurement & Automation Explorer, qui affiche le nom du programme, la version et les informations sur les droits d'auteur.

Outre les outils standard, MAX est capable de mettre à votre disposition des outils spéciaux permettant de configurer, de diagnostiquer ou de tester votre système, suivant les produits NI que vous avez installés. Lorsque vous naviguez dans MAX, le contenu du menu d'application et de la barre d'outils évolue pour refléter ces nouveaux outils.


Astuces pour l'utilisation de MAX

Astuces MAX

Utilisez les astuces suivantes pour obtenir les meilleurs résultats possibles avec MAX :

  • Rafraîchir un affichage — Sélectionnez l'élément de menu Affichage»Actualiser ou appuyez sur <F5> pour actualiser l'affichage suite à l'installation d'une nouvelle interface ou d'un nouveau périphérique. La plupart des périphériques et des interfaces s'actualisent automatiquement.
  • Utiliser plusieurs affichages — Vous pouvez cliquer sur l'onglet d'affichage d'un élément pour le faire glisser hors de l'interface MAX lorsque vous désirez plusieurs affichages simultanés d'un élément. Un affichage d'éléments est la fenêtre à onglets du milieu qui s'affiche lorsque vous cliquez sur un périphérique dans l'arborescence de configuration sur la gauche. Cet affichage contient généralement les paramètres de configuration du périphérique. Pour remettre la fenêtre à onglets dans sa position d'origine, fermez l'onglet et faites-le glisser près de l'affichage d'éléments.
  • Épingler les affichages — Cliquez sur l'icône représentant une punaise [image] dans la barre d'outils d'une vue flottante non ancrée, afin de l'empêcher de se fermer pendant que vous explorez les autres éléments de l'arborescence de configuration.
  • Afficher l'aide — Pour alterner entre un volet d'aide visible ou non visible, appuyez sur le bouton Afficher l'aide/Masquer l'aide qui apparaît juste au-dessus de la fenêtre. Vous pouvez aussi cliquer sur le bouton flottant [image] au-dessus du volet d'aide pour déplacer celui-ci hors de l'interface MAX. Pour rétablir le volet d'aide à sa position d'origine, cliquez de nouveau sur le bouton flottant.
  • Configurer simultanément plusieurs périphériques — Créez une nouvelle fenêtre MAX (élément de menu Fichier»Nouveau»Nouvelle fenêtre) ou épinglez un affichage si vous voulez configurer plus d'un périphérique ou d'un système à la fois.
  • Sélectionner plusieurs éléments dans l'arborescence — Sélectionnez plusieurs éléments dans l'arborescence de configuration en maintenant les touches <Ctrl> ou <Maj> enfoncées tout en faisant vos sélections. Le contenu de l'affichage disparaît lorsque vous sélectionnez plusieurs éléments.

    Si le groupe d'éléments que vous avez sélectionné supporte les commandes groupées, des boutons de barre d'outils apparaissent et vous pouvez cliquer avec le bouton droit sur l'un des éléments sélectionnés afin d'obtenir un menu contextuel. Sinon, la barre d'outils reste vide et aucun menu contextuel n'apparaît. Les commandes de traitement par lots vous permettent de réaliser la même opération sur plusieurs éléments à la fois.

Catégories MAX

MAX comprend typiquement les six catégories suivantes :

  • Voisinage de données — Utilisez cette sélection pour créer des voies virtuelles, des tags et des alias pour vos voies ou mesures configurées dans Périphériques et interfaces.
  • Périphériques et interfaces — Utilisez cette sélection pour configurer des ressources et autres propriétés physiques de vos périphériques et interfaces.
  • Échelles — Utilisez cette sélection pour définir de simples opérations à effectuer sur vos données acquises.
  • Logiciels — Utilisez cette sélection pour afficher, démarrer et mettre à jour les logiciels NI que vous avez installés.
  • IVI Drivers — Utilisez cette sélection pour configurer les instruments IVI (IVI 1.x) ou les drivers IVI (IVI 2.0 et versions ultérieures).
  • Systèmes déportés — Utilisez cette sélection pour afficher et configurer les périphériques et systèmes connectés par le biais d'Ethernet.


Ajout de périphériques réseau

Périphériques réseau contient les périphériques réseau et sans fil disponibles à partir de ce système. La fonctionnalité Périphériques réseau vous permet d'afficher et de configurer des périphériques connectés sur un réseau.

Qu'est-ce qu'un périphérique réseau ?

Un périphérique réseau est un périphérique qui est accessible au moyen d'un réseau ou d'une connexion sans fil. Ce type de périphérique peut être accessible à plusieurs ordinateurs et n'exécute pas de système d'exploitation temps réel. Les périphériques réseau sont différents des systèmes déportés. Un système déporté implique une cible temps réel qui peut être gérée ou configurée sur un réseau, tandis qu'un périphérique réseau n'exécute pas de système d'exploitation temps réel.

Remarque Remarque Seuls les NI-VISA 4.6 et les NI-DAQmx 9.0 et version ultérieure supportent cette fonctionnalité. Les périphériques qui ne supportent pas cette fonctionnalité s'affichent directement sous Périphériques et interfaces.

Ajout d'un périphérique réseau

Si votre périphérique réseau n'apparaît pas dans cette liste, cliquez sur Ajouter un périphérique réseau et sélectionnez le type de périphérique que vous voulez ajouter. Suivez les étapes de l'assistant pour ajouter votre périphérique réseau à MAX.

Remarque Remarque Pour ajouter à MAX des périphériques qui ne supportent pas la fonctionnalité Périphériques réseau, cliquez avec le bouton droit sur Périphériques et interfaces et sélectionnez Créer un nouvel objet.

Pour plus de précisions sur l'installation de votre périphérique réseau, consultez la documentation du matériel se rapportant à votre système.


Étalonnage de périphériques

Vous pouvez utiliser les sections Étalonnage externe et Auto-étalonnage de l'onglet Paramètres système pour afficher les informations d'étalonnage de base pour votre périphérique.

Remarque Les propriétés d'étalonnage sont en lecture seule si votre périphérique ne supporte pas l'écriture de l'étalonnage dans MAX.

Étalonnage externe

L'étalonnage externe doit être réalisé en employant des normes externes de haute précision. Les étapes suivantes ont lieu lors d'un étalonnage externe du périphérique.

  1. Les performances du périphérique sont mesurées et comparées aux normes externes de haute précision.
  2. Si les performances du périphérique se trouvent en dehors de la gamme spécifiée, tel que défini dans les normes externes, l'étalonnage est ajusté. Au cours d'un ajustement, de nouvelles constantes d'étalonnage sont stockées dans une zone protégée de la mémoire du périphérique afin que l'utilisateur ne puisse pas les modifier, ce qui garantit la possibilité de suivi de l'étalonnage.
  3. Après l'ajustement, les performances du périphérique sont à nouveau mesurées et comparées aux normes externes de haute précision.

L'étalonnage externe doit être effectué par un laboratoire ou autre institut de métrologie qui maintient des normes d'étalonnage pouvant être ultérieurement retracées. Pour plus de précisions, visitez ni.com/calibration.

Remarque Remarque Si l'étalonnage du périphérique est protégé par mot de passe, vous devez entrer le mot de passe d'étalonnage pour pouvoir enregistrer toute modification apportée à la Date d'étalonnage et à la Date du prochain étalonnage.
  • Date d'étalonnage — Spécifie la date du dernier étalonnage externe de ce périphérique.
  • Date du prochain étalonnage — Spécifie la date à laquelle ce produit doit être étalonné. Pour les nouveaux produits, l'intervalle de temps jusqu'à la date d'étalonnage recommandée commence à la réception du produit. Si votre périphérique ne supporte pas l'écriture de l'étalonnage, MAX affiche la date recommandée pour le prochain étalonnage dans Prochain étalonnage recommandé
  • Température du périphérique — Affiche la température du périphérique lors du dernier ajustement, telle qu'elle a été mesurée par la sonde thermométrique intégrée au périphérique. Cette valeur est définie automatiquement lorsqu'un ajustement est effectué.
  • Changer le mot de passe — Affiche une boîte de dialogue vous permettant de modifier le mot de passe d'étalonnage du périphérique.

Auto-étalonnage

L'auto-étalonnage ajuste les constantes d'étalonnage en fonction d'une référence intégrée enregistrée dans le périphérique. Vous pouvez effectuer un auto-étalonnage à tout moment pour ajuster le périphérique en vue de l'utiliser dans d'autres milieux que ceux dans lesquels il a été étalonné en externe.

Les nouvelles constantes d'auto-étalonnage sont définies en fonction des constantes d'étalonnage créées à la suite d'un ajustement effectué lors d'un étalonnage externe afin que les mesures puissent être suivies par rapport à ces normes externes. L'ajustement des constantes d'auto-étalonnage n'affecte pas les constantes créées lors d'un étalonnage externe car elles sont enregistrées dans une autre partie de la mémoire du périphérique.

  • Date d'étalonnage — Affiche la date du dernier auto-étalonnage de ce périphérique.
  • Température du périphérique — Affiche la température du périphérique lors du dernier auto-étalonnage, telle qu'elle a été mesurée par la sonde thermométrique intégrée au périphérique.


Utilisation de l'Assistant de rapport MAX

Utilisez l'Assistant de rapport MAX pour documenter votre système ou un système déporté, ou pour générer un rapport sur les informations système destiné au support technique. Vous pouvez inclure dans ce rapport toutes les informations de configuration pouvant être affichées dans MAX, ainsi que des informations que vous ne pouvez pas afficher directement dans l'arborescence de configuration MAX, comme les paramètres de produits globaux et les informations relatives aux logiciels et à l'étalonnage. Le niveau de détails de configuration inclus pour chaque élément dépend du driver de cet élément.

Rapports de configuration

Pour générer un rapport de configuration, ouvrez l'Assistant de rapport MAX (en sélectionnant Fichier»Créer un rapport) et exécutez les étapes suivantes :

  1. Sélectionnez le niveau de détails que vous souhaitez pour votre rapport, c'est-à-dire Rapport simple ou Rapport personnalisé. Un rapport sommaire ne contient que les noms et les icônes des éléments de l'arborescence MAX. Dans un rapport complet, vous pouvez sélectionner les éléments que vous voulez documenter et recevoir un rapport plus détaillé sur ces éléments.
    Remarque Le nombre de détails que vous voyez dans le rapport varie suivant que cette fonctionnalité est ou non supportée par chaque produit installé. Si un produit ne supporte pas la génération de rapports, le rapport ne génère qu'une liste succincte des périphériques, même si vous sélectionnez l'option Rapport personnalisé.
  2. Sélectionnez le système pour lequel vous voulez obtenir un rapport : soit le système local, soit un système déporté. Vous ne pouvez sélectionner qu'un système à la fois. Vous pouvez aussi entrer l'adresse IP d'un système déporté. Cliquez sur Suivant.
  3. Sélectionnez les éléments que vous voulez inclure dans le rapport. Cliquez sur Suivant.
  4. Spécifiez l'emplacement des fichiers qui seront générés. L'Assistant de rapport MAX retient le dernier emplacement qui a été entré. Si c'est la première fois que vous utilisez l'Assistant de rapport MAX, l'emplacement est par défaut le répertoire Mes documents\MAX.
    Remarque Le nom de votre fichier doit comporter l'extension .htm ou .html.
  5. Cliquez sur Suivant pour générer le rapport. Suivant la complexité du système sélectionné, l'Assistant de rapport MAX peut mettre plusieurs minutes à générer le rapport.
  6. Une boîte de dialogue s'affiche en fin de processus, indiquant quels fichiers ont été générés. Cliquez sur Terminer pour fermer l'assistant et lancer le rapport dans votre navigateur par défaut. Désélectionnez l'option Afficher le rapport après fermeture de l'assistant si vous ne voulez pas visualiser le rapport dès que l'assistant se ferme.

    Si vous voulez modifier ce rapport, éditez le code HTML ou copiez-le et collez-le dans un autre éditeur.
    Astuce Pour enregistrer le rapport dans un fichier, ouvrez le rapport dans Internet Explorer et sélectionnez l'élément de menu Fichier»Enregistrer sous. Sélectionnez Archive Web, fichier seul (*mht) dans la boîte de sélection Type : et cliquez sur Enregistrer. Vous ne pouvez ouvrir le fichier obtenu que dans Internet Explorer.

Rapports d'informations système

Pour générer un rapport sur les informations système pour le support technique, lancez l'Assistant de rapport MAX (Fichier»Créer un rapport) et sélectionnez Rapport destiné au support technique.

L'assistant crée un fichier condensé qui contient le rapport généré ainsi que tous les autres fichiers que vous souhaitez inclure.


Référence des fonctions d'API Configuration système

L'API (application programming interface) Configuration système supporte trois environnements de développement d'applications différents : LabVIEW, LabWindowsTM/CVITM et Microsoft Visual Studio .NET.

Remarque Remarque Le niveau de support pour ces API dépend du driver de chaque produit.

L'API Configuration système remplace l'API de configuration MAX et l'étend considérablement. Cette API contient des VIs et des fonctions permettant d'enregistrer des configurations système et de créer des rapports de configuration, ainsi que de nouveaux VIs et fonctions pour la détection de périphériques dans votre système. Cette API contient aussi des VIs pour détecter, configurer et installer des logiciels sur des systèmes déportés.

Emplacement des fichiers d'aide de l'API Configuration système

Reportez-vous aux emplacements suivants sur votre ordinateur pour trouver le fichier d'aide se rapportant à chaque ADE (Application Development Environment) :

Plate-forme | Emplacement après installation
LabVIEW | <LABVIEW>/help/nipcLV.chm
LabWindows/CVI | <National Instruments>/Shared/CVI/nisyscfg/nisyscfgCVI.chm
Microsoft Visual Studio .NET | <MeasurementStudio>/Help/NINETSystemConfig.hxs

Remarque Pour obtenir ces fichiers d'aide, vous devez d'abord installer l'ADE, puis sélectionner d'installer le support ADE approprié lors de l'installation de MAX à partir du média de drivers de périphériques NI.


Dépannage

Reportez-vous aux rubriques suivantes pour corriger des problèmes dans MAX.

  • J'obtiens une erreur de connexion à la base de données MAX lorsque je lance MAX
  • Mon périphérique n'apparaît pas dans MAX
  • Ma cible renvoie le statut Paramètres IP incohérents
  • Pare-feu Windows
  • Affichage du journal des erreurs
  • Clé USB d'utilitaires pour ordinateur de bureau


Clé USB d'utilitaires pour ordinateur de bureau

La clé USB d'utilitaires pour ordinateur de bureau vous permet de réaliser des opérations de maintenance sur un ordinateur de bureau avec capacité USB et LabVIEW Real-Time installé sur le disque dur.

Remarques
  • Vous devez utiliser un périphérique USB amorçable.
  • Vous devez avoir des privilèges d'administrateur sur l'ordinateur hôte pour pouvoir créer cet utilitaire.

Effectuez les étapes suivantes pour créer une clé USB d'utilitaires pour ordinateur de bureau à partir de l'ordinateur hôte ou du système PXI :

  1. Branchez une clé USB dans un port USB.
    Remarque Fermez toutes les applications et toutes les fenêtres qui ont accès à la clé USB que vous voulez utiliser comme clé USB d'utilitaires pour ordinateur de bureau. Cette clé USB ne doit être utilisée par aucun autre processus en cours.
  2. Dans MAX, sélectionnez l'élément de menu Outils»Créer une clé USB d'utilitaires pour ordinateur de bureau.
  3. Cliquez sur Oui pour confirmer que vous voulez créer la Clé USB d'utilitaires pour ordinateur de bureau.
  4. Sélectionnez la version de l'utilitaire que vous voulez utiliser et cliquez sur OK.
  5. Sélectionnez la clé USB que vous voulez formater comme clé USB d'utilitaires pour ordinateur de bureau. Cliquez sur le bouton OK.
    Attention Toutes les données qui se trouvent sur la clé USB seront écrasées.
  6. Si nécessaire, confirmez que vous savez pertinemment que cette opération détruira toutes les données sur la clé USB sélectionnée.

Pour utiliser la clé USB d'utilitaires pour ordinateur de bureau, branchez-la dans un port USB inoccupé sur l'ordinateur de bureau que vous utilisez comme système déporté. Mettez l'ordinateur de bureau en marche ou réinitialisez l'ordinateur distant.

Remarque Vous devez définir le BIOS de l'ordinateur sur lequel vous voulez brancher la clé USB pour qu'il autorise le démarrage à partir d'un périphérique USB. Définissez la séquence de démarrage de sorte que les fichiers situés sur la clé USB soient exécutés en premier.

La clé USB d'utilitaires pour ordinateur de bureau propose six sélections de menu possibles :

  1. Boot using software installed on the hard-disk (Démarrer à l'aide de logiciels installés sur le disque dur).
    Démarre le système à l'aide du logiciel Real-Time NI installé sur le disque dur. En l'absence du logiciel Real-Time NI sur le disque dur, l'utilitaire démarre en mode sans échec afin de permettre l'installation des logiciels.
  2. Boot into safe mode (Démarrer en mode sans échec).
    Démarre le système en mode sans échec. Cette sélection permet de lancer un minimum de services permettant de configurer les paramètres réseau du système et d'installer les logiciels sur le système. Comme ce mode ne sollicite aucun logiciel installé sur le disque dur, il est utile comme mode de restauration lorsque vous avez des difficultés à démarrer les logiciels du disque dur.
  3. Reset network configuration (Réinitialiser la configuration réseau).
    Réinitialise l'adresse IP, le masque de sous-réseau, la passerelle et l'adresse DNS. Une fois que la cible a redémarré, elle obtiendra automatiquement une adresse IP si elle supporte l'attribution automatique d'adresses IP. Si votre cible a l'adresse IP 0.0.0.0, vous devez reconfigurer ses paramètres réseau.
  4. Clear password (Effacer le mot de passe).
    Efface le mot de passe système éventuellement défini.
  5. Disable LabVIEW Real-Time start-up application (Désactiver l'application de démarrage LabVIEW Real-Time).
    S'il existe une application de démarrage LabVIEW Real-Time, cette sélection l'empêche de s'exécuter au démarrage du système. Une fois cette application désactivée, vous devez utiliser l'environnement de développement LabVIEW Real-Time pour la réactiver.
  6. Format hard disk (Formater le disque dur).
    Reformate le disque dur du système afin de vous permettre de démarrer le logiciel Real-Time National Instruments directement à partir du disque dur. Cette opération détruira toutes les données qui se trouvent actuellement sur le disque dur. La première fois que le système est démarré à partir d'un disque dur qui vient d'être reformaté, il démarrera en mode sans échec. Une adresse IP sera attribuée aux cibles qui supportent l'attribution automatique d'adresses IP. Pour les cibles qui ne supportent pas l'attribution automatique d'adresses IP, le système démarrera en mode sans échec avec l'adresse IP 0.0.0.0 la première fois qu'il sera démarré après formatage du disque dur . Vous pouvez ensuite configurer les paramètres réseau du système et installer les logiciels sur le disque dur.
  7. Evaluate system (Évaluer le système)
    Évalue la configuration matérielle d'un système pour déterminer si le système est capable d'exécuter des logiciels NI.
  8. Advanced Ethernet Options (Options Ethernet avancées)
    Vous permet de créer une whitelist spécifiant des périphériques Ethernet supplémentaires basés sur le chipset Intel i8254x que le système d'exploitation Real-Time peut charger et utiliser. Vous devez aussi créer une blacklist pour spécifier quels périphériques ne doivent pas être utilisés.

    Activez la whitelist Ethernet en créant un fichier enetwhitelist.ini correctement formaté dans le répertoire c:\ni-rt\system\ethernet de la cible Real-Time ou dans le répertoire racine d'une clé USB en mode sans échec.
    Remarque Remarque Il est probable que tous les chipsets Intel i8254x ne fonctionneront pas, même avec la whitelist activée. Pour activer la whitelist Ethernet sur une clé USB en mode sans échec, la clé USB doit être le seul périphérique USB sur la cible Real-Time au moment du démarrage.
  9. Reboot the system
    Redémarre le système temps réel NI.
  10. Backup, Restore, or Replicate the Real-Time system
    Fournit des options pour sauvegarder, restaurer ou répliquer le système NI Real-Time system au moyen de la clé USB actuelle.


J'obtiens une erreur de connexion à la base de données MAX lorsque je lance MAX

Il existe plusieurs causes pour cette erreur. Effectuez les étapes suivantes pour corriger l'erreur.

  • Vérifiez vos paramètres de pare-feu et d'antivirus. Il se peut que vous deviez vous connecter en tant qu'administrateur pour débloquer MAX et NI System Web Server.
  • Assurez-vous que le service NI Configuration Manager est démarré.
    1. Connectez-vous en tant qu'utilisateur avec des droits d'administrateur.
    2. Sélectionnez Démarrer»Panneau de configuration»Outils d'administration»Services.
    3. Cliquez avec le bouton droit sur le service NI Configuration Manager et sélectionnez Propriétés dans le menu local.
    4. Assurez-vous que l'état du service indique Démarré. Si ce n'est pas le cas, utilisez le bouton Démarrer pour démarrer le service.
    5. Redémarrez MAX.
  • Si le service NI Configuration Manager ne figure pas dans la liste des Services, réparez l'installation MAX.
    1. Sélectionnez Démarrer»Panneau de configuration»Ajouter ou supprimer des programmes.
    2. Sélectionnez National Instruments et cliquez sur Désinstaller/Modifier.
    3. Sélectionnez NI Measurement & Automation Explorer dans la liste et cliquez sur Réparer.

À de rares occasions, une corruption de la base de données de MAX peut provoquer cette erreur. Pour en savoir plus sur la réinitialisation de la base de données de MAX, reportez-vous à l'article 4GA9TOQA de la Base de connaissances.


Mon périphérique n'apparaît pas dans MAX

Périphériques locaux

Systèmes déportés

Périphériques locaux

Effectuez les étapes suivantes pour afficher un périphérique local qui n'apparaît pas dans MAX.

  • Vérifiez que le périphérique apparaît dans le Gestionnaire de périphériques Windows. S'il n'apparaît pas, vérifiez la connexion entre le périphérique et le système local.
  • Si votre périphérique figure dans la liste du Gestionnaire de périphériques Windows, vérifiez que le driver approprié est installé. Allez sur ni.com/drivers pour télécharger la dernière version de votre driver.
  • Si le driver approprié est déjà installé, vérifiez que le service NI Device Loader est lancé.
    1. Connectez-vous en tant qu'utilisateur avec des droits d'administrateur.
    2. (Windows 7) Sélectionnez Démarrer»Panneau de configuration»Outils d'administration»Services. (Windows XP) Sélectionnez Démarrer»Panneau de configuration»Outils d'administration»Services.
    3. Cliquez avec le bouton droit sur le service NI Device Loader et sélectionnez Propriétés dans le menu local.
    4. Assurez-vous que l'état du service indique Démarré. Si ce n'est pas le cas, utilisez le bouton Démarrer pour démarrer le service.
  • Sélectionnez Affichage»Actualiser ou appuyez sur la touche <F5> pour actualiser l'arborescence de configuration de MAX.

Systèmes déportés

Effectuez les étapes suivantes pour afficher un système déporté qui n'apparaît pas dans MAX.

  • Sélectionnez Affichage»Actualiser ou appuyez sur la touche <F5> pour actualiser l'arborescence de configuration de MAX.
  • Vérifiez que le système se trouve sur le même sous-réseau que l'ordinateur à partir duquel vous exécutez MAX.
  • Création d'un nouveau système déporté.


Ma cible renvoie le statut Paramètres IP incohérents

Il se peut que votre cible renvoie le statut Paramètres IP incohérents alors même qu'elle est connectée à l'ordinateur hôte. Cela se produit lorsque l'adresse IP et le masque de sous-réseau de la cible ne sont pas compris dans la plage spécifiée par le masque de sous-réseau de l'hôte.

(Phar Lap ETS, VxWorks) Si la carte réseau est configurée pour utiliser le serveur DHCP, redémarrez la cible, en vous assurant que le câble réseau est connecté, pour essayer d'attribuer une nouvelle adresse IP à la cible. Si vous utilisez une adresse IP statique, vous pouvez corriger les paramètres IP incohérents en mettant à jour manuellement l'adresse IP de la cible de façon à ce qu'elle soit sur le même sous-réseau que l'adresse IP de l'hôte. Pour obtenir des informations complémentaires sur les adresses TCP/IP et les sous-réseaux, reportez-vous à la documentation de support Microsoft.

(NI Linux Real-Time) Effectuez les étapes suivantes pour restaurer les paramètres IP de la cible.

  1. Appuyez sur le bouton RESET du périphérique et maintenez-le enfoncé pendant 5 secondes.
  2. Relâchez le bouton RESET lorsque la LED STATUS devient jaune. Le périphérique passe alors en mode sans échec.
  3. Appuyez sur le bouton RESET et maintenez-le enfoncé pendant 5 secondes.
  4. Relâchez le bouton RESET lorsque la LED STATUS devient jaune. Le périphérique passe alors en mode sans échec et restaure les paramètres IP de sorte que le serveur DHCP soit utilisé.


Affichage du journal des erreurs

Utilisez la sélection Afficher le journal des erreurs pour afficher le journal des erreurs du système déporté. Pour accéder à ce journal dans MAX, faites un clic droit sur votre système déporté et sélectionnez Afficher le journal des erreurs.


Pare-feu Windows

L'utilisation du Pare-feu Windows peut donner lieu aux comportements suivants dans MAX :

Lorsque vous mettez à jour des logiciels sur une cible LabVIEW Real-Time alors que le pare-feu Windows est activé, une boîte de dialogue vous invitera éventuellement à autoriser MAX et le Serveur Web système NI à recevoir les informations par l'intermédiaire du réseau. Sélectionnez Débloquer afin que MAX puisse communiquer avec votre cible LabVIEW Real-Time.

Pour obtenir des informations complémentaires sur Microsoft Windows 8 et les produits NI, visitez ni.com/windows8. Pour obtenir des informations complémentaires sur Microsoft Windows 7 et les produits NI, visitez ni.com/windows7.

Remarque Vous devez vous être connecté(e) avec des privilèges d'administrateur pour pouvoir activer ou désactiver le pare-feu ICF ou le pare-feu Windows.


Produits installés

Cette section affiche l'aide pour les produits installés. Si votre produit ne figure pas dans la liste, vous pouvez aussi consulter les rubriques d'aide en sélectionnant Aide»Rubriques de l'aide pour trouver le fichier d'aide se rapportant à votre produit, si tel fichier existe.


Informations juridiques

Garantie limitée

Droits d'auteur

Marques

Brevets

Informations sur la conformité à la réglementation en matière d'exportation

Avertissement concernant l'utilisation des produits National Instruments


Garantie limitée

Ce document est fourni "en l'état" et pourra faire l'objet de modifications sans préavis dans les éditions ultérieures. Pour obtenir la dernière version, allez sur ni.com/manuals. NI révise attentivement ce document pour assurer l'exactitude technique, mais NE DONNE AUCUNE GARANTIE, EXPLICITE OU IMPLICITE, QUANT À L'EXACTITUDE DES INFORMATIONS CONTENUES AUX PRÉSENTES ET NE SERA PAS RESPONSABLE DES ERREURS.

Pendant une période d'un (1) an à compter de la date de facturation, NI garantit que ses produits matériels seront exempts de tout défaut matériel ou de fabrication qui rendrait les produits non conformes aux spécifications publiées par NI.

Pendant une période de quatre-vingt-dix (90) jours à compter de la date de facturation, NI garantit que ses logiciels : (i) fonctionneront d'une manière substantiellement conforme à la documentation pertinente fournie avec le logiciel, et (ii) seront enregistrés sur un support exempt de tout défaut matériel ou de fabrication.

Si NI reçoit un avis de défaut ou non-conformité au cours de la période de garantie applicable, NI à sa discrétion: (i) réparera ou remplacera le produit défectueux, ou (ii) remboursera le prix payé pour le produit concerné. La réparation ou le remplacement de matériel NI sera garanti pour le restant de la période de garantie originale ou pour quatre-vingt-dix (90) jours si ce dernier délai est plus long. Si NI décide de réparer ou de remplacer un produit, NI peut utiliser des pièces ou produits nouveaux ou remis à neufs, équivalents aux pièces ou produits neufs en performance et fiabilité, et au moins équivalents fonctionnellement aux pièces ou produits d'origine.

Vous devez obtenir de NI un numéro ARM avant de réexpédier tout matériel à NI. NI se réserve le droit de facturer les frais d'examen et de test de matériel que la Garantie limitée ne couvre pas.

La présente Garantie limitée ne couvre pas les défauts du produit résultant d'un entretien, d'une installation, d'une réparation ou d'un étalonnage inapproprié ou insuffisant (effectué par une partie autre que NI), d'une modification non autorisée, d'une utilisation dans un environnement inapproprié, d'une utilisation inappropriée d'une clé matérielle ou logicielle, d'une utilisation ou d'un fonctionnement inappropriés ne respectant pas les spécifications du produit, de tensions inappropriées, d'accident, d'abus ou de négligence, ou de foudre, d'inondation ou de tout autre acte de la nature.

LES RECOURS ÉNONCES CI-DESSUS SONT EXCLUSIFS ET REPRÉSENTENT LES SEULS RECOURS DU CLIENT ; CES RECOURS DEMEURENT APPLICABLES QUAND BIEN MÊME ILS DÉROGERAIENT À LEUR OBJECTIF PREMIER.

SOUS RÉSERVE DES DISPOSITIONS EXPRESSES QUI PRÉCÈDENT, LES PRODUITS SONT FOURNIS "EN L'ÉTAT", SANS GARANTIE D'AUCUNE SORTE, ET NATIONAL INSTRUMENTS EXCLUT TOUTE GARANTIE, EXPRESSE OU IMPLICITE, EN CE QUI CONCERNE LES PRODUITS, Y COMPRIS TOUTE GARANTIE IMPLICITE DE COMMERCIALISATION, D'APTITUDE À UNE FIN PARTICULIÈRE, DE TITRE OU DE NON-VIOLATION, ET TOUTE AUTRE GARANTIE RÉSULTANT D'ÉCHANGE OU D'USAGE COMMERCIAL. NATIONAL INSTRUMENTS DÉCLINE TOUTE RESPONSABILITÉ EN CE QUI CONCERNE L'UTILISATION OU LE RÉSULTAT DE L'UTILISATION DES PRODUITS EN TERMES D'EXACTITUDE, DE PRÉCISION, DE FIABILITÉ OU AUTRES. NATIONAL INSTRUMENTS NE GARANTIT PAS QUE LE FONCTIONNEMENT DES PRODUITS SERA ININTERROMPU ET NE DONNERA LIEU À AUCUNE ERREUR.

Dans l'éventualité où vous avez un accord signé séparé avec NI, contenant des termes de garantie couvrant les produits, les termes de garantie de cet accord séparé font foi.


Informations sur la conformité à la réglementation en matière d'exportation

Reportez-vous à la section Export Compliance Information sur la page ni.com/legal pour consulter la politique de NI en matière de conformité à la réglementation gouvernant le commerce international et pour savoir comment obtenir les codes de tarif douanier (HTS) et les numéros ECCN pertinents, ainsi que d'autres données relatives à l'import-export.


Copyright

Conformément à la réglementation applicable en matière de droits d'auteur, cette publication ne peut pas être reproduite ni transmise sous une forme quelconque, que ce soit par voie électronique ou mécanique, notamment par photocopie, enregistrement ou stockage dans un système permettant la récupération d'informations, ni traduite, en tout ou partie, sans le consentement préalable et écrit de National Instruments Corporation.

NI respecte les droits de propriété intellectuelle appartenant à des tiers et nous demandons aux utilisateurs de nos produits de les respecter également. Les logiciels NI sont protégés par la réglementation applicable en matière de droits d'auteur et de propriété intellectuelle. Lorsque des logiciels NI peuvent être utilisés pour reproduire des logiciels ou autre matériel appartenant à des tiers, vous ne pouvez utiliser les logiciels NI à cette fin que si cette reproduction est permise par les termes du contrat de licence applicable auxdits logiciels ou matériel et par la réglementation en vigueur.

Contrats de licence utilisateur final et notices juridiques de tiers

Vous trouverez les contrats de licence utilisateur final (CLUF) et notices juridiques de tiers aux emplacements suivants :

  • Les notices se trouvent dans les répertoires <National Instruments>\_Legal Information et <National Instruments>.
  • Les CLUF se trouvent dans le répertoire <National Instruments>\Shared\MDF\Legal\license.
  • Consultez le fichier <National Instruments>\_Legal Information.txt pour en savoir plus sur la manière d'inclure des informations juridiques dans des installeurs construits avec des produits NI.

Droits restreints pour les entités gouvernementales américaines

Si vous faites partie d'une agence, d'un service ou de toute autre entité gouvernementale des États-Unis, l'utilisation, la duplication, la reproduction, la publication, la modification, la divulgation ou le transfert des données techniques figurant dans ce manuel sont réglementés par les clauses de Droits restreints mentionnées dans la Réglementation des Acquisitions Fédérales 52.227-14 ("Federal Acquisition Regulation 52.227-14") pour les agences fédérales et aux sections 252.227-7014 et 252.227-7015 du supplément à la Réglementation des Acquisitions Fédérales liées à la défense ("Defense Federal Acquisition Regulation Supplement") pour les agences militaires.

Avis sur le copyright de la fondation IVI

Content from the IVI specifications reproduced with permission from the IVI Foundation.

The IVI Foundation and its member companies make no warranty of any kind with regard to this material, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose. The IVI Foundation and its member companies shall not be liable for errors contained herein or for incidental or consequential damages in connection with the furnishing, performance, or use of this material.


Marques

Reportez-vous à la page NI Trademarks and Logo Guidelines à ni.com/trademarks pour obtenir des informations complémentaires sur les marques de NI.

ARM, Keil, and µVision are trademarks or registered of ARM Ltd or its subsidiaries.

LEGO, the LEGO logo, WEDO, and MINDSTORMS are trademarks of the LEGO Group.

TETRIX by Pitsco is a trademark of Pitsco, Inc.

FIELDBUS FOUNDATION™ and FOUNDATION™ are trademarks of the Fieldbus Foundation.

EtherCAT® is a registered trademark of and licensed by Beckhoff Automation GmbH.

CANopen® is a registered Community Trademark of CAN in Automation e.V.

DeviceNet™ and EtherNet/IP™ are trademarks of ODVA.

Go!, SensorDAQ, and Vernier are registered trademarks of Vernier Software & Technology. Vernier Software & Technology and vernier.com are trademarks or trade dress.

Xilinx is the registered trademark of Xilinx, Inc.

Taptite and Trilobular are registered trademarks of Research Engineering & Manufacturing Inc.

FireWire® is the registered trademark of Apple Inc.

Linux® is the registered trademark of Linus Torvalds in the U.S. and other countries.

Handle Graphics®, MATLAB®, Simulink®, Stateflow®, and xPC TargetBox® are registered trademarks, and Simulink Coder™, TargetBox™, and Target Language Compiler™ are trademarks of The MathWorks, Inc.

Tektronix®, Tek, and Tektronix, Enabling Technology are registered trademarks of Tektronix, Inc.

The Bluetooth® word mark is a registered trademark owned by the Bluetooth SIG, Inc.

The ExpressCard™ word mark and logos are owned by PCMCIA and any use of such marks by National Instruments is under license.

The mark LabWindows is used under a license from Microsoft Corporation. Windows is a registered trademark of Microsoft Corporation in the United States and other countries.

Les autres noms de produits et de sociétés mentionnés aux présentes sont les marques ou les noms de leurs propriétaires respectifs.

Un membre du programme NI Partner est une entité professionnelle indépendante de NI, et aucune relation d'agence, de partenariat ou "joint-venture" n'existe entre cette entité et NI.


Brevets

Pour la liste des brevets protégeant les produits/technologies NI, veuillez vous référer, selon le cas, à la rubrique Aide»Brevets de votre logiciel, au fichier patents.txt sur votre média ou à Patent Notice sur ni.com/patents.


AVERTISSEMENT CONCERNANT L'UTILISATION DES PRODUITS NATIONAL INSTRUMENTS

AVERTISSEMENT CONCERNANT L'UTILISATION DES PRODUITS NATIONAL INSTRUMENTS CORPORATION

VOUS ÊTES SEUL RESPONSABLE DE LA VÉRIFICATION ET DE LA VALIDATION DE L'ADÉQUATION ET DE LA FIABILITÉ DES PRODUITS DÈS LORS QUE LES PRODUITS SONT INTÉGRÉS DANS VOTRE SYSTÈME OU APPLICATION, Y COMPRIS AU REGARD DE LA CONCEPTION, DU PROCESSUS ET DU NIVEAU DE SÉCURITÉ APPROPRIÉ DUDIT SYSTÈME OU APPLICATION.

LES PRODUITS NE SONT PAS CONÇUS, FABRIQUÉS OU TESTÉS POUR UNE UTILISATION DANS DES SYSTÈMES DE SURVIE OU DANS LESQUELS LA SÉCURITÉ EST ESSENTIELLE, DANS DES ENVIRONNEMENTS DANGEREUX OU NÉCESSITANT UN FONCTIONNEMENT INFAILLIBLE, TEL QUE LES ACTIVITÉS DES CENTRALES NUCLÉAIRES, LA NAVIGATION AÉRIENNE, LES SYSTÈMES DE CONTRÔLE DE TRAFIC AÉRIEN, LES SYSTÈMES DE SAUVETAGE OU DE MAINTIEN DE LA VIE OU TOUT AUTRE DISPOSITIF MÉDICAL, OU TOUTE AUTRE APPLICATION DONT UNE DÉFAILLANCE DU PRODUIT OU SERVICE POURRAIT ENTRAÎNER UN DÉCÈS, DES BLESSURES, DE GRAVES DOMMAGES MATÉRIELS OU DES DOMMAGES À L'ENVIRONNEMENT (CI-APRÈS DÉNOMMÉS "UTILISATIONS À RISQUE ÉLEVÉ"). DE PLUS, LE CLIENT DOIT PRENDRE TOUTES LES PRÉCAUTIONS NÉCESSAIRES À LA PROTECTION CONTRE LES DÉFAILLANCES, NOTAMMENT EN PRÉVOYANT DES MÉCANISMES DE SAUVEGARDE ET DE COUPURE D'ALIMENTATION. NATIONAL INSTRUMENTS EXCLUT EXPRESSÉMENT TOUTE GARANTIE, EXPRESSE OU IMPLICITE, QUANT À L'APTITUDE DES PRODUITS OU SERVICES À DES UTILISATIONS À RISQUE ÉLEVÉ.


Support technique MAX

Vous pouvez créer deux sortes de rapports dans MAX : des rapports de configuration permettant de documenter un système sélectionné et des rapports contenant les informations système utilisées par le service de support technique.

Rapports de configuration

Pour créer un rapport de configuration, ouvrez l'Assistant de rapport MAX (Fichier»Créer un rapport) et sélectionnez Rapport simple ou Rapport personnalisé. Cet assistant crée un rapport de type HTML sur la configuration du système sélectionné. Reportez-vous à l'Assistant de rapport MAX pour obtenir des informations complémentaires.

Rapports d'informations système

Vous pouvez créer des rapports sur les informations système pour le support technique en ouvrant l'Assistant de rapport MAX (Fichier»Créer un rapport) et en sélectionnant Rapport destiné au support technique. Vous pouvez inclure ces rapports lorsque vous utilisez le service Web Support technique/Demande de support afin de résoudre le plus rapidement possible les problèmes auxquels vous vous heurtez. Reportez-vous à l'Assistant de rapport MAX pour obtenir des informations complémentaires.

Ressources de support technique

Pour vérifier la disponibilité de mises à jour, visitez Drivers et mises à jour. Pour obtenir des informations complémentaires sur le support technique et les services proposés par NI, reportez-vous aux Ressources de support technique.


Services NI

NI fournit un support et des services dans le monde entier, signe de notre engagement à assurer votre succès. Tirez parti des services pour vos produits et des programmes de formation et de certification qui répondent à vos besoins à chaque phase du cycle de vie de l'application : de la planification et du développement jusqu'au déploiement et à la maintenance continue.

Pour commencer, créez un compte ou connectez-vous avec votre profil utilisateur MyNI sur ni.com/myproducts, puis enregistrez votre produit.

En tant qu'utilisateur de produits NI enregistrés, vous avez droit aux avantages suivants :

  • L'accès aux services de produits qui vous sont applicables.
  • Une gestion simplifiée de vos produits avec un compte en ligne.
  • La réception de notifications sur des pièces critiques, de mises à jour logicielles et d'expiration de services.

Services et ressources

  • Maintenance et services pour le matériel : NI vous aide à identifier les spécifications de fiabilité et de précision de vos systèmes et offre des services de garantie, d'échange et d'étalonnage afin de vous aider à conserver la précision et à minimiser les temps d'arrêt de votre système tout au long de son cycle de vie. Allez sur ni.com/services pour en savoir plus.
    • Garantie et réparation : tout le matériel NI est fourni avec une garantie standard d'un an, qui peut être prolongée jusqu'à cinq ans. NI offre des services de réparation prompts effectués dans un centre de services NI par des techniciens d'usine très qualifiés qui utilisent des pièces d'origine.
    • Étalonnage : un étalonnage régulier permet de quantifier et d'améliorer les performances de mesure d'un instrument. NI offre des services d'étalonnage de pointe. Si votre produit supporte l'étalonnage, vous pouvez obtenir le certificat d'étalonnage de votre produit sur ni.com/calibration.
  • Intégration de systèmes : si vous devez concilier délais serrés, ressources techniques limitées et toute autre contrainte, nous vous invitons à faire appel au réseau de partenaires NI. Pour en savoir plus, appelez votre filiale locale ou allez sur ni.com/partners.
  • Formations et certifications : le programme de formation et de certification NI est le moyen le plus efficace d'augmenter les aptitudes et la productivité des développeurs d'applications. Allez sur ni.com/training pour en savoir plus.
    • Le Guide de développement des compétences vous aide à identifier les spécifications de votre application actuelle et vous offre des possibilités pour développer ces compétences. Ces possiblités s'adaptent à vos contraintes temporelles et budgétaires ainsi qu'à vos préférences d'apprentissage. Allez sur ni.com/skills-guide pour découvrir ces voies personnalisées.
    • NI offre des cours dans plusieurs langues et formats, notamment des cours dispensés par un instructeur dans des locaux à travers le monde, des cours sur site dans vos locaux ainsi que des cours en ligne ; tout cela afin de répondre à vos besoins spécifiques.
  • Support technique : le support technique sur ni.com/support comprend les ressources suivantes :
    • Ressources d'auto-assistance technique : visitez ni.com/support pour vous procurer des drivers et des mises à jour de logiciels, faire des recherches dans la Base de connaissances, accéder aux manuels sur les produits et aux assistants de dépannage pas à pas, obtenir des milliers d'exemples de programmes, des tutoriels, des notes d'application, des drivers d'instruments et bien plus encore. Les utilisateurs enregistrés bénéficient également de l'accès aux forums de discussion NI, à ni.com/forums. Pour accéder au forum francophone, cliquez sur le menu déroulant "Select Community" (à droite) et sélectionnez "Français". Les ingénieurs d'applications de NI se font fort de répondre à toutes les questions qui leur sont adressées.
    • Abonnement SSP : le programme SSP (Standard Service Program) est un abonnement renouvelable d'un an, inclus dans la plupart des produits logiciels NI, y compris NI Developer Suite. Ce programme confère à ses membres un accès direct par téléphone et e-mail aux ingénieurs d'application de NI et leur permet d'obtenir un support technique individuel, ainsi qu'un accès privilégié aux modules d'auto-formation en ligne sur ni.com/self-paced-training. NI fournit également des options d'extension de contrat flexibles pour que vos avantages SSP soient disponibles sans interruption tant que vous en avez besoin. Pour plus d'informations, visitez ni.com/ssp.
  • Déclaration de conformité (DoC) : une déclaration de conformité, ou DoC, est notre déclaration de conformité avec le Conseil de l'Union européenne ; elle s'appuie sur la déclaration de conformité du fabricant. Ce système confère à l'utilisateur une protection en matière de compatibilité électromagnétique (CEM) et de sécurité des produits. Vous pouvez obtenir la déclaration de conformité pour votre produit en visitant le site ni.com/product-certifications.

Pour obtenir des informations sur les autres options de support technique dans votre région, visitez ni.com/services ou contactez votre filiale locale en utilisant les coordonnées qui se trouvent sur ni.com/contact.

Vous pouvez également visiter la page des filiales internationales sur ni.com/niglobal afin d'accéder au site Web local de votre filiale, qui contient les informations les plus à jour pour contacter, entre autres, le support technique par téléphone, fax ou e-mail, ainsi que les dates des événements à venir.


JavaScript est désactivé.


VI Logger

VI Logger est un utilitaire qui sert à définir et à exécuter des tâches d'enregistrement de données dans un fichier journal. VI Logger vous permet de réaliser les tâches suivantes :

  • Créer une nouvelle tâche VI Logger
  • Modifier une tâche VI Logger
  • Exécuter une tâche VI Logger
  • Afficher les données durant l'acquisition et l'enregistrement dans un fichier journal
  • Afficher les données enregistrées

Votre version de VI Logger n'est pas compatible avec cette version de MAX. Pour mettre à niveau VI Logger vers la version 1.0.2, installez le patch à partir du site ftp://ftp.ni.com/support/vilogger/upgrades/1.0.2/.


Voisinage de données

Voisinage de données permet d'accéder à des raccourcis portant des noms descriptifs afin de configurer les voies physiques de votre système. Ces raccourcis peuvent comprendre des messages CAN, des voies virtuelles et des tâches NI-DAQ, ainsi que des éléments FieldPoint.

Que souhaitez-vous faire ?

Créer un nouveau raccourci

Pour créer un nouveau raccourci, faites un clic droit sur Voisinage de données et sélectionnez Créer un nouvel objet. Les options qui apparaissent dépendent des produits NI qui sont installés.

Tester ou supprimer un raccourci

En général, vous pouvez effectuer un clic droit sur ces raccourcis pour réaliser ces tâches, suivant les produits NI qui sont installés.

Afficher ou modifier des propriétés

En général, vous pouvez cliquer avec le bouton droit sur ces raccourcis dans l'arborescence de configuration et sélectionner Propriétés ou ajuster les propriétés dans l'affichage de l'élément, suivant le logiciel que vous utilisez.

Pour obtenir de plus amples informations sur l'utilisation de Voisinage de données avec votre produit NI, reportez-vous à l'aide spécifique à votre produit, située dans l'élément de menu Aide»Rubriques de l'aide. Vous pouvez aussi accéder à l'aide sur les produits NI à partir de l'Aide MAX, que vous pouvez lancer à partir du menu Aide ou en appuyant sur la touche <F1>.


Périphériques et interfaces

La catégorie Périphériques et interfaces recense le matériel CAN, DAQ, les contrôleurs série FieldPoint et le matériel GPIB, IVI, Motion, Serial, VISA, Vision et VXI installés et détectés.

Si vos périphériques ne figurent pas dans la liste...

Vous n'avez pas encore actualisé l'arbre de configuration

Appuyez sur <F5> ou sélectionnez Affichage»Actualiser.

Il est possible que votre périphérique ne soit pas compatible avec Windows Plug and Play

Affichez le fichier d'aide à la configuration de votre périphérique à partir du menu Aide»Rubriques de l'aide ou consultez les instructions ci-dessous pour obtenir de plus amples informations sur l'ajout de ces types de périphériques.

Que souhaitez-vous faire ?

Configurer un périphérique existant

Pour configurer un périphérique NI existant, faites un clic droit sur le nom du périphérique dans l'arborescence de configuration et sélectionnez Configurer, cliquez sur le bouton Configurer dans [image] sur la barre d'outils ou bien modifiez les propriétés dans l'affichage de l'élément, suivant le logiciel que vous utilisez.

Ajouter un périphérique non Plug and Play

Certains périphériques ne sont pas compatibles Windows Plug and Play, c'est pourquoi ils ne s'affichent pas automatiquement dans la liste sous Périphériques et interfaces. D'autres périphériques se trouvent peut-être dans un autre ordinateur sur le réseau. Pour ajouter des périphériques non Plug and Play, faites un clic droit sur Périphériques et interfaces dans l'arborescence de configuration et sélectionnez Créer un nouvel objet. Suivez les instructions fournies par l'assistant.

Si votre périphérique ne s'affiche toujours pas, reportez-vous aux informations expliquant la mise en route qui accompagnent votre matériel et à l'aide MAX spécifique à ce produit (Aide»Rubriques de l'aide) pour vérifier que votre périphérique est installé correctement et pour consulter les informations sur sa configuration. Si vous êtes sûr(e) que votre périphérique est correctement installé, visitez le site Web du support technique pour votre périphérique :

CAN | DAQ | FieldPoint
GPIB | IVI | Instruments modulaires
Motion | NI Switch Executive | NI Vision
Série | VISA | VXI

Pour obtenir de plus amples informations sur l'utilisation de votre produit NI dans MAX, reportez-vous à l'aide spécifique à ce produit, située dans l'élément de menu Aide»Rubriques de l'aide. Vous pouvez aussi accéder à l'aide sur les produits NI à partir de l'Aide MAX, que vous pouvez lancer à partir du menu Aide ou en appuyant sur la touche <F1>.


Historique des données

Données d'historique

La catégorie Historique des données vous permet d'accéder à toutes vos bases de données et données enregistrées, ou affichages des données.

Que souhaitez-vous faire ?

Afficher les données

Pour afficher et gérer vos bases de données et affichages des données, développez la catégorie Historique des données dans l'arborescence de configuration. Vos bases de données apparaissent dans l'affichage Databases lorsque vous sélectionnez Citadel 5 Universe. Les données que vous avez enregistrées s'affichent sous Citadel 5 Universe.

Créer une base de données

Pour créer une nouvelle base de données vide, faites un clic droit sur Historique des données et sélectionnez Créer un nouvel objet. Sélectionnez Citadel 5 Database dans l'Assistant de création d'un nouvel objet et cliquez sur le bouton Suivant. Suivez les instructions pour créer une nouvelle base de données, puis cliquez sur Terminer. Votre nouvelle base de données apparaît dans l'affichage Databases lorsque vous sélectionnez Citadel 5 Universe sous la catégorie Historique des données.

Convertir une base de données Citadel 4 en format Citadel 5

Pour convertir une base de données de la version Citadel 4 en version Citadel 5, faites un clic droit sur Historique des données et sélectionnez Créer un nouvel objet. Sélectionnez Convert Citadel 4 Database to Citadel 5 dans l'Assistant de création d'un nouvel objet et cliquez sur le bouton Next. Suivez les instructions affichées pour sélectionner la base de données que vous voulez convertir et l'emplacement de la base de données convertie, puis cliquez sur Finish.

Supprimer une base de données

Pour supprimer une base de données, faites un clic droit sur cette base de données dans l'affichage Databases et sélectionnez Detach/Delete Database. Sélectionnez Delete dans la boîte de dialogue Detach/Delete Database et cliquez sur OK.

Créer un nouvel affichage des données

Pour créer un nouvel affichage des données, faites un clic droit sur Citadel 5 Universe et sélectionnez New»Alarms/Events View ou New»Trace View. Votre nouvel affichage apparaît dans l'arborescence de configuration au-dessous de Citadel 5 Universe.

Afficher les données Citadel 4

Reportez-vous à Historical Data Viewer Help et à l'aide spécifique à chaque élément pour les affichages et les bases de données Citadel 4 pour obtenir des informations complémentaires sur l'affichage des données Citadel 4. Pour ouvrir la rubrique Historical Data Viewer Help, sélectionnez Aide»Rubriques de l'aide»Historical Data Viewer.

Pour obtenir des informations complémentaires, reportez-vous à la rubrique Historical Data Viewer Help, accessible à partir du menu Aide»Rubriques de l'aide»Historical Data Viewer menu.


IVI

La catégorie IVI Drivers fournit l'accès au Logical Name Wizard (Assistant de noms logiques) et à tous vos noms logiques IVI. Un nom logique fait référence à un instrument virtuel particulier.

Que souhaitez-vous faire ?

Créer un nom logique pour votre instrument virtuel

Pour créer un nom logique pour votre instrument virtuel, développez la catégorie IVI Drivers sur la gauche. Faites un clic droit sur l'élément Logical Names dans l'arborescence de configuration et sélectionnez Insert. Suivez les instructions fournies par l'assistant.

Astuce Pour créer de nouveaux noms logiques IVI, de nouveaux instruments virtuels, drivers d'instruments et périphériques, faites un clic droit sur un élément et sélectionnez Insert. Par exemple, pour créer un nouveau driver d'instrument, cliquez avec le bouton droit sur l'élément Instrument Drivers dans l'arborescence de configuration et sélectionnez Insert, ce qui permet d'ouvrir l'Assistant de noms logiques à une section spécifique du driver.

Modifier les propriétés d'instruments virtuels existants

Pour configurer un instrument virtuel existant, sélectionnez l'élément Virtual Instruments dans l'arborescence de configuration. Tous les instruments virtuels précédents s'affichent dans la fenêtre de cet élément à droite de l'arborescence de configuration. Cliquez avec le bouton droit sur un instrument virtuel dans l'affichage de l'élément et sélectionnez Properties.

Échanger des instruments

Pour échanger un instrument contre un autre, sélectionnez l'élément Logical Names dans l'arborescence de configuration. Dans l'affichage de l'élément, faites un clic droit sur le nom logique de l'instrument que vous voulez échanger et sélectionnez Properties. Dans la boîte de dialogue, cliquez sur le bouton Change pour créer ou sélectionner l'instrument virtuel pour le nouvel instrument physique.


NI Measurement & Automation Explorer

Measurement & Automation Explorer (MAX) fournit l'accès à vos produits NI.

Que souhaitez-vous faire ?

Gérer vos périphériques et interfaces

Sélectionnez la catégorie Périphériques et interfaces dans l'arborescence de configuration, sur la gauche. Si vous avez besoin d'aide pour installer un périphérique, reportez-vous aux instructions de mise en route comprises avec le matériel NI.

Gérer les logiciels NI installés

Développez la catégorie Logiciels dans l'arborescence de configuration, sur la gauche.

Gérer des voies virtuelles ou des tâches pour vos périphériques

Sélectionnez la catégorie Voisinage de données dans l'arborescence de configuration, sur la gauche.

Créer des échelles pour vos instruments virtuels

Sélectionnez la catégorie Échelles dans l'arborescence de configuration, sur la gauche.

Configurer les drivers d'instruments IVI

Sélectionnez la catégorie IVI Drivers dans l'arborescence de configuration, sur la gauche.

Importer/exporter le fichier de configuration de votre périphérique.

Sélectionnez l'élément de menu Fichier»Importer ou Fichier»Exporter pour importer ou exporter des fichiers de configuration. Certains périphériques ne sont pas supportés. Reportez-vous à la documentation spécifique à votre produit.

Remarque Certaines catégories sont spécifiques à des périphériques particuliers. Par exemple, la catégorie IVI Drivers ne s'affiche que si IVI est installé.

Pour obtenir des informations complémentaires sur l'utilisation de MAX, sélectionnez les rubriques d'aide disponibles à partir du menu Aide. Si vous avez besoin d'une aide complémentaire ou si vous souhaitez en savoir plus sur un périphérique, consultez le site Web de support technique de NI.

Pour obtenir des informations complémentaires sur cette version de MAX, ouvrez le fichier readme ou allez sur ni.com/info et entrez les info-codes suivants :

  • SysCfgFixList : Améliorations et corrections de bugs
  • SysCfgKnownIssues : Problèmes connus


Échelles

La catégorie Échelles fournit accès à toutes les échelles que vous avez configurées pour effectuer des opérations sur les données acquises.

Que souhaitez-vous faire ?

Créer une nouvelle échelle personnalisée

Pour créer une nouvelle échelle personnalisée, faites un clic droit sur Échelles dans l'arborescence de configuration et sélectionnez Créer un nouvel objet.

Supprimer une échelle

Pour supprimer une échelle de votre configuration, faites un clic droit sur le nom de l'échelle dans l'arborescence de configuration et sélectionnez Supprimer.

Afficher ou modifier les propriétés d'une échelle

Pour afficher ou modifier les propriétés d'une échelle, effectuez un clic droit sur le nom de l'échelle dans l'arborescence de configuration et sélectionnez Propriétés, ou modifiez les propriétés dans l'affichage de l'élément, suivant le logiciel que vous utilisez.

Pour obtenir de plus amples informations sur l'utilisation d'échelles avec votre produit NI, reportez-vous à l'aide spécifique à votre produit, située dans l'élément de menu Aide»Rubriques de l'aide. Vous pouvez aussi accéder à l'aide sur les produits NI à partir de l'Aide MAX, que vous pouvez lancer à partir du menu Aide ou en appuyant sur la touche <F1>.


Logiciel

La catégorie Logiciels permet d'afficher, de démarrer et de mettre à jour les logiciels NI que vous avez installés.

Que souhaitez-vous faire ?

Afficher les informations concernant vos logiciels

Développez la catégorie Logiciels dans l'arborescence de configuration.

Lancer mes logiciels

Faites un clic droit sur le nom du produit dans l'arborescence de configuration et sélectionnez Démarrer.

Ajouter, modifier ou supprimer des logiciels

Cliquez sur le bouton Modifier/Supprimer des logiciels pour lancer un utilitaire afin de modifier ou de désinstaller un logiciel NI.

Vérifier si des mises à jour de logiciels sont disponibles

Faites un clic droit sur Logiciels dans l'arborescence de configuration et sélectionnez Obtenir des mises à jour. Le Service de mise à jour NI effectue une recherche sur le site Web de NI pour trouver de nouvelles versions ou mises à jour de vos logiciels et renvoie les résultats de cette recherche. Vous pouvez sélectionner dans cette liste les logiciels que vous voulez télécharger et installer. Vous pouvez également mettre vos logiciels à jour en utilisant le menu Aide ou le nœud de catégorie Logiciels.

Si vous ne voyez pas votre logiciel dans la liste du Service de mise à jour NI et que vous voulez vérifier s'il existe des mises à jour, visitez la page Drivers et mises à jour sur ni.com/updates.

Pour obtenir de plus amples informations sur votre produit NI, reportez-vous à l'aide spécifique à ce produit, située dans l'élément de menu Aide»Rubriques de l'aide. Vous pouvez aussi accéder à l'aide sur les produits NI à partir de l'Aide MAX, que vous pouvez lancer à partir du menu Aide ou en appuyant sur la touche <F1>.


VI Logger

VI Logger est un utilitaire qui sert à définir et à exécuter des tâches d'enregistrement de données dans un fichier journal. La version partielle (Lite package) de VI Logger fournit des outils d'enregistrement et d'acquisition élémentaires pour les périphériques NI-DAQmx. La version complète (Full package) de VI Logger comprend des fonctionnalités supplémentaires pour les périphériques NI-DAQmx, NI-DAQ traditionnel (ancien driver) et FieldPoint.

Que souhaitez-vous faire ?

Créer une nouvelle tâche VI Logger

Pour créer une nouvelle nouvelle tâche VI Logger, faites un clic droit sur Tâches VI Logger dans l'arborescence de configuration de MAX et sélectionnez Créer un nouvel objet. Dans la boîte de dialogue Créer un nouvel objet, sélectionnez le type de périphérique que vous voulez utiliser avec la tâche : Utiliser NI-DAQmx, Utiliser Traditional NI-DAQ ou Utiliser FieldPoint. Cliquez sur le bouton Terminer. Les tâches qui viennent d'être créées apparaissent au-dessous de Tâches VI Logger dans l'arborescence de configuration. Utilisez l'affichage Task Attributes et l'affichage DAQmx, Virtual ou FieldPoint Channels pour configurer les paramètres de la tâche.

Modifier une tâche VI Logger

Pour modifier une tâche, sélectionnez-la dans l'arborescence de configuration afin d'afficher la fenêtre à onglets VI Logger pour cette tâche. Vous pouvez modifier les conditions de démarrage et d'arrêt, les conditions d'enregistrement des données ou les paramètres d'exportation des données. Cliquez sur le bouton Save Task ou exécutez la tâche pour enregistrer vos modifications.

Exécuter une tâche VI Logger

Utilisez les commandes dans l'affichage Task Attributes pour définir les conditions d'acquisition et d'enregistrement des données de la tâche VI Logger. Pour exécuter la tâche, sélectionnez-la dans l'arborescence de configuration et cliquez sur le bouton Run task de la barre d'outils. Si vous ne spécifiez pas de conditions d'arrêt pour une tâche, elle s'exécutera jusqu'à ce que vous cliquiez manuellement sur le bouton Stop task.

Afficher les données durant l'acquisition et l'enregistrement

Utilisez l'affichage Real Time Data (données en temps réel) pour afficher les données sous forme graphique durant l'exécution d'une tâche VI Logger. Utilisez le témoin LED [image] dans le coin supérieur gauche de l'écran Real Time Data pour passer de l'affichage des données en temps réel à l'affichage de l'historique des données (Historical data). Cliquez sur le voyant rouge pour mettre le graphe en pause de sorte que vous puissiez faire défiler l'historique des données. Cliquez sur le voyant vert pour revenir à l'affichage des données en temps réel (Real Time Data). Utilisez les quatre boutons fléchés au-dessus du graphe pour faire défiler les données une fois que VI Logger les a acquises.

Afficher les données enregistrées

Une fois que vous avez enregistré des données, VI Logger les enregistre dans une exécution de tâche, qui apparaît au-dessous de la tâche associée dans l'arborescence de configuration. Le nom par défaut de l'exécution de la tâche est la date et l'heure auxquelles l'enregistrement dans un fichier journal a commencé. Cliquez sur l'exécution que vous voulez afficher. Utilisez l'affichage Historique des données (Historical Data) pour afficher un graphe des données de l'exécution de la tâche. Utilisez les quatre boutons fléchés au-dessus du graphe pour faire défiler les données enregistrées.

Activer la version complète (Full package) de VI Logger à partir de la version partielle (Lite package)

Dans la version 'Lite package', sélectionnez Outils»VI Logger»Activate All VI Logger 2.0 Features. Dans la boîte de dialogue, cliquez sur le bouton Purchase License pour afficher la page Web sur laquelle vous pouvez acheter la licence logicielle. Cliquez sur le bouton Activate License (Activer la licence) pour mettre celle-ci en vigueur. Vous devez disposer d'un numéro de série valide pour pouvoir activer la version complète (Full package) de VI Logger.